<script setup>
import MyWebsites from '../components/ListeWebsite.vue'
import WebsiteItem from '../components/WebsiteItem.vue'

import { ref } from 'vue'

const data = ref(null)
const error = ref(null)


fetch ('https://api.mangaUpdate.fr/api/websites', {
  method: 'GET'
}).then((res) => res.json())
  .then((json) => (json["hydra:member"].map((response) => {console.log(response.statut === 2 ? response : '')})))
  .catch((err) => (error.value = err))
</script>

<template>
  <main>
    <MyWebsites />
    <label id="add_website" for="ajouter_website">
      <font-awesome-icon icon="fa-solid fa-plus"/>
    </label>
  </main>
  <input type="checkbox" id="ajouter_website"/>
  <div id="overlay_ajouter_website">
    <div id="overlay"></div>
    <label id="fermer_overlay_website" for="ajouter_website">
      <font-awesome-icon icon="fa-solid fa-xmark" />
    </label>
    <div id="menu_ajout_website">
        
      <div><h2>Recherche</h2></div>
      <div v-if="error" class="error">{{ error }}</div>
      <div v-else-if="data" class="content">
        <li v-for="website in data">
          <WebsiteItem>
            <template #name>
              <h2>
                {{ website.name }}
              </h2>
            </template>
          </WebsiteItem>
        </li>
      </div>
      <div v-else="loading" class="loading">Loading...</div>
      <div id="demande_nouveau_site">
        <p>Proposer un nouveau site</p>
      </div>
    </div>
  </div>
</template>

<style>

main{
  display: flex;
  flex-direction: column;
  z-index: 1;
}

#add_website{
  display: flex;
  justify-content: center;
  margin : 1rem auto;
  padding : 0.5rem;
  background-color: lightgray;
}

#add_website svg{
  height: 30px;
  color: rgb(73, 73, 73);
}

#ajouter_website{
  display: none;
}

#overlay{
  background-color: black;
  opacity: 0.7;
  z-index: 2;
  position: absolute;
  top: 0;
  left: 0;
  height: 100vh;
  width: 100vw;
}

#fermer_overlay_website{
  display: flex;
  margin: 5rem auto;
  justify-content: center;
  padding: 1rem;
  background-color: lightgray;
  border-radius: 50%;
  width: 90px;
  z-index: 3;
}

#fermer_overlay_website svg{
  height: 60px;
  color: red;
}

#ajouter_website:checked ~ #overlay_ajouter_website{
  z-index: 3;
  opacity: 1;
}

#overlay_ajouter_website {
  position:absolute;
  top:0;
  left:0;
  height: 100vh;
  width: 100vw;
  opacity: 0;
  transition-duration: 0.6s;
  z-index: 0;
  overflow: hidden;
}

#menu_ajout_website {
  z-index: 3;
  background-color: rgb(70, 70, 70);
  padding: 2rem 5rem;
  height: calc(100% - 12rem - 60px);
}

#menu_ajout_website > *:first-child{
  border-radius: 25px;
  display: flex;
  justify-content: center;
  background-color: gray;
  padding : 0.2rem 3rem;
  margin: auto;
  width: max-content;
}

.content{
  overflow-x: hidden;
}

#demande_nouveau_site{
  display: flex;
  justify-content: center;
  background-color: gray;
  border-radius: 5px;
  width: max-content;
  padding: 1rem;
  position: absolute;
  bottom: 2rem;
}

</style>